Subject: Re: iwlagn broken in next-20090514 and next-20090515

From: Johannes Berg <[email-masked]>
Date: Mon, 18 May 2009 18:24:27 +0200

On Mon, 2009-05-18 at 09:03 -0700, reinette chatre wrote:

> > > Also wpa_supplicant is not happy:
> > > 
> > > + wpa_supplicant -B -Dwext -iwlan0 -c /home/user/nico/ethz/wlan/wpa_supplicant.conf
> > > ioctl[SIOCSIWENCODEEXT]: No such file or directory
> > > ioctl[SIOCSIWENCODEEXT]: No such file or directory
> > > ioctl[SIOCSIWENCODEEXT]: No such file or directory
> > > ioctl[SIOCSIWENCODEEXT]: No such file or directory
> > > 
> 
> There were some changes recently to this ioctl, but I am not familiar
> with details. Johannes will know.

Yeah, I'm not sure -- this happens when clearing keys. I'll look into
it, we probably need to accept removing a key that doesn't exist.

johannes